/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_IMUN                                                     */
/* Tabela : INSCRMUNICIP                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_IMUN'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_IMUN
GO

CREATE TRIGGER DTULTATU_IMUN
ON INSCRMUNICIP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'INSCRMUNICIP', null, 'CDEMPRESA=' + CDEMPRESA + ';' +
                                           'CDINSCMUNI='+ CDINSCMUNI+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE INSCRMUNICIP
      SET DTULTATUIMUN = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(INSCRMUNICIP.CDINSCMUNI,0) = ISNULL(INSERTED.CDINSCMUNI,0)) AND
            (ISNULL(INSCRMUNICIP.CDEMPRESA,0)  = ISNULL(INSERTED.CDEMPRESA,0))  AND
            (ISNULL(INSCRMUNICIP.NRCERTDIGNFSE,0) = ISNULL(INSERTED.NRCERTDIGNFSE, 0)) AND
            (ISNULL(INSCRMUNICIP.IDAMBTRABNFSE,0) = ISNULL(INSERTED.IDAMBTRABNFSE, 0));
   END;
END;
GO


--VERSAO--
EXEC ATUVEROBJ 'DTULTATU_IMUN', '5.30.xxx';
GO
